Debian Bug report logs - #278180
lvm2: md_component_detection should default to 1 instead of 0

version graph

Package: lvm2; Maintainer for lvm2 is Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>; Source for lvm2 is src:lvm2.

Reported by: Andrew Meaden <andrew@binke.com.au>

Date: Mon, 25 Oct 2004 10:33:03 UTC

Severity: wishlist

Found in version 2.00.24-2

Fixed in version lvm2/2.02.02-1

Done: Bastian Blank <waldi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Patrick Caulfield <patrick@debian.org>:
Bug#278180; Package lvm2. Full text and rfc822 format available.

Acknowledgement sent to Andrew Meaden <andrew@binke.com.au>:
New Bug report received and forwarded. Copy sent to Patrick Caulfield <patrick@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andrew Meaden <andrew@binke.com.au>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: lvm2: md_component_detection should default to 1 instead of 0
Date: Mon, 25 Oct 2004 20:03:48 +1000
Package: lvm2
Version: 2.00.24-2
Severity: wishlist


In the default /etc/lvm/lvm.conf file, md_component_detection is set to
0, which causes problems with md devices containing superblocks.

-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.8
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

Versions of packages lvm2 depends on:
ii  debconf                     1.4.39       Debian configuration management sy
ii  libc6                       2.3.2.ds1-18 GNU C Library: Shared libraries an
ii  libdevmapper1.00            2:1.00.19-4  The Linux Kernel Device Mapper use
ii  lvm-common                  1.5.17       The Logical Volume Manager for Lin

-- debconf information:
  lvm2/snapshots:



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#278180; Package lvm2. Full text and rfc822 format available.

Acknowledgement sent to Patrick Caulfield <patrick@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Patrick Caulfield <patrick@debian.org>
To: Andrew Meaden <andrew@binke.com.au>, 278180@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#278180: lvm2: md_component_detection should default to 1 instead of 0
Date: Mon, 25 Oct 2004 11:45:18 +0100
On Mon, Oct 25, 2004 at 08:03:48PM +1000, Andrew Meaden wrote:
> Package: lvm2
> Version: 2.00.24-2
> Severity: wishlist
> 
> 
> In the default /etc/lvm/lvm.conf file, md_component_detection is set to
> 0, which causes problems with md devices containing superblocks.

It's set to zero because it's unreliable, see several lvm2 bug reports that were
submitted about this that caused me to disable the option...

If you want to set it to 1 on your machine the feel free to do so, but I'm
afraid it's just too much trouble to be a default.

Sorry.

patrick



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#278180; Package lvm2. Full text and rfc822 format available.

Acknowledgement sent to Patrick Caulfield <patrick@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>:
Bug#278180; Package lvm2. Full text and rfc822 format available.

Acknowledgement sent to Patrick Caulfield <patrick@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #20 received at 278180@bugs.debian.org (full text, mbox):

From: Patrick Caulfield <patrick@debian.org>
To: 278180@bugs.debian.org
Subject: Re: lvm2: md_component_detection should default to 1 instead of 0
Date: Tue, 13 Dec 2005 11:56:37 +0000
I am reliably informed by Alasdair that the md_component_detection is
considerably better than it was. In fact it now uses the same detection
algorithm that MD itself uses.

So I think this should be set back on by default now.
-- 

patrick



Reply sent to Bastian Blank <waldi@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Andrew Meaden <andrew@binke.com.au>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #25 received at 278180-close@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: 278180-close@bugs.debian.org
Subject: Bug#278180: fixed in lvm2 2.02.02-1
Date: Sun, 12 Feb 2006 04:17:08 -0800
Source: lvm2
Source-Version: 2.02.02-1

We believe that the bug you reported is fixed in the latest version of
lvm2, which is due to be installed in the Debian FTP archive:

clvm_2.02.02-1_i386.deb
  to pool/main/l/lvm2/clvm_2.02.02-1_i386.deb
lvm2-udeb_2.02.02-1_i386.udeb
  to pool/main/l/lvm2/lvm2-udeb_2.02.02-1_i386.udeb
lvm2_2.02.02-1.diff.gz
  to pool/main/l/lvm2/lvm2_2.02.02-1.diff.gz
lvm2_2.02.02-1.dsc
  to pool/main/l/lvm2/lvm2_2.02.02-1.dsc
lvm2_2.02.02-1_i386.deb
  to pool/main/l/lvm2/lvm2_2.02.02-1_i386.deb
lvm2_2.02.02.orig.tar.gz
  to pool/main/l/lvm2/lvm2_2.02.02.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 278180@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Bastian Blank <waldi@debian.org> (supplier of updated lvm2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 12 Feb 2006 13:00:23 +0100
Source: lvm2
Binary: clvm lvm2-udeb lvm2
Architecture: source i386
Version: 2.02.02-1
Distribution: unstable
Urgency: low
Maintainer: Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>
Changed-By: Bastian Blank <waldi@debian.org>
Description: 
 clvm       - Cluster LVM Daemon for lvm2
 lvm2       - The Linux Logical Volume Manager
 lvm2-udeb  - The Linux Logical Volume Manager (udeb)
Closes: 278180 351632
Changes: 
 lvm2 (2.02.02-1) unstable; urgency=low
 .
   * New upstream version.
   * Enable md_component_detection. (closes: #278180)
   * Set device permissions.
   * Don't use O_DIRECT on armeb. (closes: #351632)
Files: 
 f7211df1f0e8ea5d52c22300d4464a0c 767 admin optional lvm2_2.02.02-1.dsc
 e5dfc205aaf673fecb3c1c15164d718c 477665 admin optional lvm2_2.02.02.orig.tar.gz
 4d8ea03a5e267c6d4f5c3a5b9f48ac2f 19443 admin optional lvm2_2.02.02-1.diff.gz
 d150d749cd8610f7e585f2fcdfa793d9 297910 admin optional lvm2_2.02.02-1_i386.deb
 35591e534459f5d9bda4f307f30ff2fa 175844 debian-installer optional lvm2-udeb_2.02.02-1_i386.udeb
 806df2535fd03cf0f141b19a95a3cc85 177498 admin extra clvm_2.02.02-1_i386.deb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iEYEARECAAYFAkPvJIsACgkQLkAIIn9ODhGtigCfTziTxxR/fhmLt059CvqRkkvo
R1sAoOdCdoJHwvtH7fZ38uWxc+j4NVVJ
=JvVU
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 17:49:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 13:34:09 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.